(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/common'], factory) :
	(factory((global['angular2-timer'] = {}),global.core,global.common));
}(this, (function (exports,core,common) { 'use strict';

var Timer = (function () {
    function Timer() {
        var _this = this;
        this.date = new Date();
        setInterval(function () { _this.date = new Date(); }, 1000);
    }
    return Timer;
}());
Timer.decorators = [
    { type: core.Component, args: [{
                selector: 'angular2-timer',
                template: "\n    <div>{{ date }}</div>\n  "
            },] },
];
/**
 * @nocollapse
 */
Timer.ctorParameters = function () { return []; };

var TimerModule = (function () {
    function TimerModule() {
    }
    /**
     * @return {?}
     */
    TimerModule.forRoot = function () { return { ngModule: Timer }; };
    return TimerModule;
}());
TimerModule.decorators = [
    { type: core.NgModule, args: [{
                declarations: [Timer],
                exports: [Timer],
                imports: [common.CommonModule],
                entryComponents: [Timer]
            },] },
];
/**
 * @nocollapse
 */
TimerModule.ctorParameters = function () { return []; };

exports.TimerModule = TimerModule;
exports.Timer = Timer;

Object.defineProperty(exports, '__esModule', { value: true });

})));
